#ifndef AT_MAP_H
#define AT_MAP_H

#include <stddef.h>

#define MAP_SUCCESS 0
#define MAP_FAILURE -1

typedef struct Map Map;

// Crea una nuova mappa e ritorna un puntatore ad essa
Map* map_create(size_t size);

// Distrugge la mappa e libera la memoria
void map_destroy(Map* map);

// Aggiunge una chiave e un valore alla mappa
// Restituisce MAP_SUCCESS se l'operazione è riuscita, altrimenti MAP_FAILURE
int map_put(Map* map, const char* key, void* value);

// Ottiene il valore associato alla chiave
// Restituisce il valore se la chiave è trovata, altrimenti NULL
void* map_get(Map* map, const char* key);

// Rimuove la chiave e il valore associato dalla mappa
// Restituisce MAP_SUCCESS se l'operazione è riuscita, altrimenti MAP_FAILURE
int map_remove(Map* map, const char* key);

#endif // AT_MAP_H

